package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFX78Data {

    private Map<String, Object> params;
    
    public MWFX78Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsCislotransakce() {
        return (Long) params.get("RS_CISLOTRANSAKCE");
    }

    public java.util.Date rsDatumsplatnosti() {
        return (java.util.Date) params.get("RS_DATUMSPLATNOSTI");
    }

    public java.util.Date rsDatumzuctovani() {
        return (java.util.Date) params.get("RS_DATUMZUCTOVANI");
    }

    public String rsId() {
        return (String) params.get("RS_ID");
    }

    public String rsKod() {
        return (String) params.get("RS_KOD");
    }

    public String rsKodbanky() {
        return (String) params.get("RS_KODBANKY");
    }

    public String rsKodtransakce() {
        return (String) params.get("RS_KODTRANSAKCE");
    }

    public String rsOmcr() {
        return (String) params.get("RS_OMCR");
    }

    public String rsPopis() {
        return (String) params.get("RS_POPIS");
    }

    public String rsPorizujici() {
        return (String) params.get("RS_PORIZUJICI");
    }

    public String rsRcode() {
        return (String) params.get("RS_RCODE");
    }

    public String rsRseq() {
        return (String) params.get("RS_RSEQ");
    }

    public Long rsTicislovety() {
        return (Long) params.get("RS_TICISLOVETY");
    }

    public String rsTizdroj() {
        return (String) params.get("RS_TIZDROJ");
    }

    public String rsTrtyp() {
        return (String) params.get("RS_TRTYP");
    }

    public String rsTyptransakce() {
        return (String) params.get("RS_TYPTRANSAKCE");
    }

    public String rsUcetplatce() {
        return (String) params.get("RS_UCETPLATCE");
    }

    public String rsUcetprijemce() {
        return (String) params.get("RS_UCETPRIJEMCE");
    }

    public java.util.Date rsValuta() {
        return (java.util.Date) params.get("RS_VALUTA");
    }

    public Double rsZustatek() {
        return (Double) params.get("RS_ZUSTATEK");
    }

    public java.util.Date rsDatumporizeni() {
        return (java.util.Date) params.get("RS_DATUMPORIZENI");
    }

    public String rsStav() {
        return (String) params.get("RS_STAV");
    }

    public String rsAvpole() {
        return (String) params.get("RS_AVPOLE");
    }

    public Double rsDanuroku() {
        return (Double) params.get("RS_DANUROKU");
    }

    public String rsKonstantnisymbol() {
        return (String) params.get("RS_KONSTANTNISYMBOL");
    }

    public String rsMenatransakce() {
        return (String) params.get("RS_MENATRANSAKCE");
    }

    public String rsNazevuctu() {
        return (String) params.get("RS_NAZEVUCTU");
    }

    public String rsNazevuctuprijemce() {
        return (String) params.get("RS_NAZEVUCTUPRIJEMCE");
    }

    public Long rsSpecifickysymbol() {
        return (Long) params.get("RS_SPECIFICKYSYMBOL");
    }

    public String rsStavvk() {
        return (String) params.get("RS_STAVVK");
    }

    public Long rsVariabilnisymbol() {
        return (Long) params.get("RS_VARIABILNISYMBOL");
    }

    public String rsUcetpartnersky() {
        return (String) params.get("RS_UCETPARTNERSKY");
    }

    public String rsNazevuctupartnersky() {
        return (String) params.get("RS_NAZEVUCTUPARTNERSKY");
    }

    public String rsKodbankypartnersky() {
        return (String) params.get("RS_KODBANKYPARTNERSKY");
    }

    public Double rsCastka() {
        return (Double) params.get("RS_CASTKA");
    }

    public String rsKodkreditdebet() {
        return (String) params.get("RS_KODKREDITDEBET");
    }

    public String rsKodtransakceexterni() {
        return (String) params.get("RS_KODTRANSAKCEEXTERNI");
    }

    public Long rsPoraditransakce() {
        return (Long) params.get("RS_PORADITRANSAKCE");
    }

    public String rsPopis2() {
        return (String) params.get("RS_POPIS2");
    }

    public String rsPopis3() {
        return (String) params.get("RS_POPIS3");
    }

    public String rsAvpole2() {
        return (String) params.get("RS_AVPOLE2");
    }

    public String rsAvpole3() {
        return (String) params.get("RS_AVPOLE3");
    }

    public String rsAvpole4() {
        return (String) params.get("RS_AVPOLE4");
    }

    public String rsReferenceplatce() {
        return (String) params.get("RS_REFERENCEPLATCE");
    }

    public Long rsVariabilnisendtosymbol() {
        return (Long) params.get("RS_VARIABILNISENDTOSYMBOL");
    }

    public String rsKonstantnisendtosymbol() {
        return (String) params.get("RS_KONSTANTNISENDTOSYMBOL");
    }

    public Long rsSpecifickysendtosymbol() {
        return (Long) params.get("RS_SPECIFICKYSENDTOSYMBOL");
    } 

}
